Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class Volume

    java.lang.Object
      com.amazonaws.services.ec2.model.Volume

    public class Volume

extends Object

Represents an Amazon Elastic Block Storage (EBS) volume.

Constructor Summary
`Volume()`

Method Summary
`List<VolumeAttachment>` | `getAttachments()` Information on what this volume is attached to.
`String` | `getAvailabilityZone()` Availability zone in which this volume was created.
`Date` | `getCreateTime()` Timestamp when volume creation was initiated.
`Integer` | `getSize()` The size of this volume, in gigabytes.
`String` | `getSnapshotId()` Optional snapshot from which this volume was created.
`String` | `getState()` State of this volume (e.g., creating, available).
`String` | `getVolumeId()` The unique ID of this volume.
`void` | `setAttachments(Collection<VolumeAttachment> attachments)` Information on what this volume is attached to.
`void` | `setAvailabilityZone(String availabilityZone)` Availability zone in which this volume was created.
`void` | `setCreateTime(Date createTime)` Timestamp when volume creation was initiated.
`void` | `setSize(Integer size)` The size of this volume, in gigabytes.
`void` | `setSnapshotId(String snapshotId)` Optional snapshot from which this volume was created.
`void` | `setState(String state)` State of this volume (e.g., creating, available).
`void` | `setVolumeId(String volumeId)` The unique ID of this volume.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`Volume` | `withAttachments(Collection<VolumeAttachment> attachments)` Information on what this volume is attached to.
`Volume` | `withAttachments(VolumeAttachment... attachments)` Information on what this volume is attached to.
`Volume` | `withAvailabilityZone(String availabilityZone)` Availability zone in which this volume was created.
`Volume` | `withCreateTime(Date createTime)` Timestamp when volume creation was initiated.
`Volume` | `withSize(Integer size)` The size of this volume, in gigabytes.
`Volume` | `withSnapshotId(String snapshotId)` Optional snapshot from which this volume was created.
`Volume` | `withState(String state)` State of this volume (e.g., creating, available).
`Volume` | `withVolumeId(String volumeId)` The unique ID of this volume.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Volume

    public Volume()

Method Detail

### getVolumeId

    public String getVolumeId()

  The unique ID of this volume.

  Returns:
    The unique ID of this volume.

### setVolumeId

    public void setVolumeId(String volumeId)

  The unique ID of this volume.

  Parameters:
    `volumeId` - The unique ID of this volume.

### withVolumeId

    public Volume withVolumeId(String volumeId)

  The unique ID of this volume.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `volumeId` - The unique ID of this volume.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getSize

    public Integer getSize()

  The size of this volume, in gigabytes.

  Returns:
    The size of this volume, in gigabytes.

### setSize

    public void setSize(Integer size)

  The size of this volume, in gigabytes.

  Parameters:
    `size` - The size of this volume, in gigabytes.

### withSize

    public Volume withSize(Integer size)

  The size of this volume, in gigabytes.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `size` - The size of this volume, in gigabytes.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getSnapshotId

    public String getSnapshotId()

  Optional snapshot from which this volume was created.

  Returns:
    Optional snapshot from which this volume was created.

### setSnapshotId

    public void setSnapshotId(String snapshotId)

  Optional snapshot from which this volume was created.

  Parameters:
    `snapshotId` - Optional snapshot from which this volume was created.

### withSnapshotId

    public Volume withSnapshotId(String snapshotId)

  Optional snapshot from which this volume was created.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `snapshotId` - Optional snapshot from which this volume was created.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getAvailabilityZone

    public String getAvailabilityZone()

  Availability zone in which this volume was created.

  Returns:
    Availability zone in which this volume was created.

### setAvailabilityZone

    public void setAvailabilityZone(String availabilityZone)

  Availability zone in which this volume was created.

  Parameters:
    `availabilityZone` - Availability zone in which this volume was created.

### withAvailabilityZone

    public Volume withAvailabilityZone(String availabilityZone)

  Availability zone in which this volume was created.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `availabilityZone` - Availability zone in which this volume was created.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getState

    public String getState()

  State of this volume (e.g., creating, available).

  Constraints:
  Allowed Values: creating, available, in-use, deleting, error

  Returns:
    State of this volume (e.g., creating, available).
  See Also:
    `VolumeState`

### setState

    public void setState(String state)

  State of this volume (e.g., creating, available).

  Constraints:
  Allowed Values: creating, available, in-use, deleting, error

  Parameters:
    `state` - State of this volume (e.g., creating, available).
  See Also:
    `VolumeState`

### withState

    public Volume withState(String state)

  State of this volume (e.g., creating, available).

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Allowed Values: creating, available, in-use, deleting, error

  Parameters:
    `state` - State of this volume (e.g., creating, available).
  Returns:
    A reference to this updated object so that method calls can be chained together.
  See Also:
    `VolumeState`

### getCreateTime

    public Date getCreateTime()

  Timestamp when volume creation was initiated.

  Returns:
    Timestamp when volume creation was initiated.

### setCreateTime

    public void setCreateTime(Date createTime)

  Timestamp when volume creation was initiated.

  Parameters:
    `createTime` - Timestamp when volume creation was initiated.

### withCreateTime

    public Volume withCreateTime(Date createTime)

  Timestamp when volume creation was initiated.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `createTime` - Timestamp when volume creation was initiated.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getAttachments

    public List<VolumeAttachment> getAttachments()

  Information on what this volume is attached to.

  Returns:
    Information on what this volume is attached to.

### setAttachments

    public void setAttachments(Collection<VolumeAttachment> attachments)

  Information on what this volume is attached to.

  Parameters:
    `attachments` - Information on what this volume is attached to.

### withAttachments

    public Volume withAttachments(VolumeAttachment... attachments)

  Information on what this volume is attached to.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `attachments` - Information on what this volume is attached to.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withAttachments

    public Volume withAttachments(Collection<VolumeAttachment> attachments)

  Information on what this volume is attached to.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `attachments` - Information on what this volume is attached to.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.